    import {SystemInstruction} from '@solana/web3'

public class | source

# SystemInstruction

System Instruction class

## Static Method Summary

Static Public Methods
public static | decodeAllocate(instruction: TransactionInstruction): AllocateParams Decode an allocate system instruction and retrieve the instruction params. |
public static | decodeAllocateWithSeed(instruction: TransactionInstruction): AllocateWithSeedParams Decode an allocate with seed system instruction and retrieve the instruction params. |
public static | decodeAssign(instruction: TransactionInstruction): AssignParams Decode an assign system instruction and retrieve the instruction params. |
public static | decodeAssignWithSeed(instruction: TransactionInstruction): AssignWithSeedParams Decode an assign with seed system instruction and retrieve the instruction params. |
public static | decodeCreateAccount(instruction: TransactionInstruction): CreateAccountParams Decode a create account system instruction and retrieve the instruction params. |
public static | decodeCreateWithSeed(instruction: TransactionInstruction): CreateAccountWithSeedParams Decode a create account with seed system instruction and retrieve the instruction params. |
public static | decodeInstructionType(instruction: TransactionInstruction): SystemInstructionType Decode a system instruction and retrieve the instruction type. |
public static | decodeNonceAdvance(instruction: TransactionInstruction): AdvanceNonceParams Decode a nonce advance system instruction and retrieve the instruction params. |
public static | decodeNonceAuthorize(instruction: TransactionInstruction): AuthorizeNonceParams Decode a nonce authorize system instruction and retrieve the instruction params. |
public static | decodeNonceInitialize(instruction: TransactionInstruction): InitializeNonceParams Decode a nonce initialize system instruction and retrieve the instruction params. |
public static | decodeNonceWithdraw(instruction: TransactionInstruction): WithdrawNonceParams Decode a nonce withdraw system instruction and retrieve the instruction params. |
public static | decodeTransfer(instruction: TransactionInstruction): TransferParams Decode a transfer system instruction and retrieve the instruction params. |

## Static Public Methods

### public static decodeAllocate(instruction: TransactionInstruction): AllocateParams source

Decode an allocate system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AllocateParams

### public static decodeAllocateWithSeed(instruction: TransactionInstruction): AllocateWithSeedParams source

Decode an allocate with seed system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AllocateWithSeedParams

### public static decodeAssign(instruction: TransactionInstruction): AssignParams source

Decode an assign system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AssignParams

### public static decodeAssignWithSeed(instruction: TransactionInstruction): AssignWithSeedParams source

Decode an assign with seed system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AssignWithSeedParams

### public static decodeCreateAccount(instruction: TransactionInstruction): CreateAccountParams source

Decode a create account system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

CreateAccountParams

### public static decodeCreateWithSeed(instruction: TransactionInstruction): CreateAccountWithSeedParams source

Decode a create account with seed system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

CreateAccountWithSeedParams

### public static decodeInstructionType(instruction: TransactionInstruction): SystemInstructionType source

Decode a system instruction and retrieve the instruction type.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

SystemInstructionType

### public static decodeNonceAdvance(instruction: TransactionInstruction): AdvanceNonceParams source

Decode a nonce advance system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AdvanceNonceParams

### public static decodeNonceAuthorize(instruction: TransactionInstruction): AuthorizeNonceParams source

Decode a nonce authorize system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AuthorizeNonceParams

### public static decodeNonceInitialize(instruction: TransactionInstruction): InitializeNonceParams source

Decode a nonce initialize system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

InitializeNonceParams

### public static decodeNonceWithdraw(instruction: TransactionInstruction): WithdrawNonceParams source

Decode a nonce withdraw system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

WithdrawNonceParams

### public static decodeTransfer(instruction: TransactionInstruction): TransferParams source

Decode a transfer system instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

TransferParams